Debian Bug report logs - #683904
FTBFS: test requires internet connectivity

version graph

Package: src:libgeo-ip-perl; Maintainer for src:libgeo-ip-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>;

Reported by: Felix Geyer <fgeyer@debian.org>

Date: Sun, 5 Aug 2012 10:03:04 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version libgeo-ip-perl/1.40-1

Fixed in version libgeo-ip-perl/1.40-2

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#683904; Package src:libgeo-ip-perl. (Sun, 05 Aug 2012 10:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Felix Geyer <fgeyer@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sun, 05 Aug 2012 10:03:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Felix Geyer <fgeyer@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FTBFS: test requires internet connectivity
Date: Sun, 05 Aug 2012 12:01:11 +0200
[Message part 1 (text/plain, inline)]
Source: libgeo-ip-perl
Version: 1.40-1
Severity: serious
Tags: patch, sid, wheezy
Justification: fails to build from source

This package requires internet connectivity for its test suite
to pass. Package builds should not rely on external network
connectivity, but should be self-contained.

t/2_namelookup.t fails because it tries to look up the IP
of yahoo.com.

I'm adding a patch that removes this specific test.

Build log:

> PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
> t/0_base.t ............... ok
> t/1_lookup.t ............. ok
> t/20_min_capi_version.t .. ok
> # Test 11 got: <UNDEF> (t/2_namelookup.t at line 18 fail #11)
> #    Expected: "US"
> #  t/2_namelookup.t line 18 is:   ok($country, $exp_country);
> t/2_namelookup.t ......... 
> Failed 1/11 subtests 
> t/3_mirror.t ............. ok
[disable_ip_lookup_test.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#683904; Package src:libgeo-ip-perl. (Sun, 05 Aug 2012 11:33:08 GMT) Full text and rfc822 format available.

Message #8 received at 683904@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 683904@bugs.debian.org, 683904-submitter@bugs.debian.org
Subject: Pending fixes for bugs in the libgeo-ip-perl package
Date: Sun, 05 Aug 2012 11:30:27 +0000
tag 683904 + pending
thanks

Some bugs in the libgeo-ip-perl package are closed in revision
422309dcfc45bd52875f67f8d1ff038a487de32c in branch 'master' by gregor
herrmann

The full diff can be seen at
http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libgeo-ip-perl.git;a=commitdiff;h=422309d

Commit message:

    Add patch no-dns.patch: skip one test that needs network access / DNS.
    
    Thanks: Felix Geyer for the bug report and the patch.
    Closes: #683904




Added tag(s) pending. Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Sun, 05 Aug 2012 11:33:09 GMT) Full text and rfc822 format available.

Message sent on to Felix Geyer <fgeyer@debian.org>:
Bug#683904. (Sun, 05 Aug 2012 11:33:12 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Sun, 05 Aug 2012 11:33:14 GMT) Full text and rfc822 format available.

Notification sent to Felix Geyer <fgeyer@debian.org>:
Bug acknowledged by developer. (Sun, 05 Aug 2012 11:33:14 GMT) Full text and rfc822 format available.

Message #18 received at 683904-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 683904-close@bugs.debian.org
Subject: Bug#683904: fixed in libgeo-ip-perl 1.40-2
Date: Sun, 05 Aug 2012 11:32:47 +0000
Source: libgeo-ip-perl
Source-Version: 1.40-2

We believe that the bug you reported is fixed in the latest version of
libgeo-ip-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 683904@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated libgeo-ip-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 05 Aug 2012 13:22:20 +0200
Source: libgeo-ip-perl
Binary: libgeo-ip-perl
Architecture: source amd64
Version: 1.40-2
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 libgeo-ip-perl - Perl interface to GeoIP library
Closes: 683904
Changes: 
 libgeo-ip-perl (1.40-2) unstable; urgency=low
 .
   * Team upload.
   * Add patch no-dns.patch: skip one test that needs network access / DNS.
     Thanks to Felix Geyer for the bug report and the patch.
     (Closes: #683904)
Checksums-Sha1: 
 e0c5c57eb855246b1c420b80258f17f9f0a5faff 2035 libgeo-ip-perl_1.40-2.dsc
 b7c4591e2810d8fae23fbb6c043e96234e514413 3159 libgeo-ip-perl_1.40-2.debian.tar.gz
 f660f8c98d622dc9491d384d3149ad81f0d550ed 91262 libgeo-ip-perl_1.40-2_amd64.deb
Checksums-Sha256: 
 3fa7a821160a35e71ff2bf9c3d4b695e216ba889feeb12344420ec54a671c246 2035 libgeo-ip-perl_1.40-2.dsc
 03e1a183fc82a76f2aa49f8940d0e134f1a6c44f86fb2f59fa0c2e20ec0666a0 3159 libgeo-ip-perl_1.40-2.debian.tar.gz
 f00483b1236c69afd5d06be64c26655352552196559e13b15537733b32c91c06 91262 libgeo-ip-perl_1.40-2_amd64.deb
Files: 
 1ac070478b9fcadc073fe8b08a99bfb2 2035 perl optional libgeo-ip-perl_1.40-2.dsc
 2564f389a78b0ae9665c6c0306d45869 3159 perl optional libgeo-ip-perl_1.40-2.debian.tar.gz
 91ed654628181163a6988341d25131a1 91262 perl optional libgeo-ip-perl_1.40-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQHleSAAoJELs6aAGGSaoGlhYQAKxDHjEk6pvy9XedbhMx5H89
DiFPRT/CDAA2t785tZ36b/CMXHKlSo6Oe8RCfkQWJboj6B06VfmT9BdRhXwrT+Ek
UeiAQxGRjIUd3DKQ2chTM5Z6WtTr/6lrd5pI0x70z5Vli3uYlIvo6+HJW4BbU7lA
Sgpl5B/Gf1ZgPXsGImU+cU/Vkq60iOh4Wc1FmJMNRvnIf0D2hEW99umNvocpqBSO
avcsoUK0zzqa9gNggnVRXENv1JV7p9O4OXxMC5JEb3KrW2nJsGR4t6dGVKLIvEbH
3TxvKJeRBqmz72Us43pLphI1k5zuNO8EGBx5igolUz4sKSyxAChOSn499UDXi8Nl
GxTwxJGUmIu+/KN4zSEpjVWpN5gqNXPEFJ8GaVGC4lxeDF9uC6qzl9TBVXJNgSfo
15GTTrX1B0TYSK0q1NagfVBR7jQ8YTdkxrRH65q8rlFu8elFB3p6HEVZJCTYEp1m
ce7gi+8FZjpNeJqJ5QJNzS5zhcQpdKtLfzR6uYRYAkYBvYY42p++Cx0pPs9iri5Y
ZUl3fORvuSzpTgS+v4HaSv3lBQNrm+Y+sHeRu3Ry7oa0fWF7uIDeRklp+9dU1N1g
Y5cvcE5xKc7yIzkvWo9OV95whlOQiRUlfbW+Lb17HfdgBLKXSrAUrp8uk6VxyZMC
Y7pK0X2DGOINLArvl9Go
=E8Yd
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 13 Sep 2012 07:25:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:16:54 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.